diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1f563cd..257d90b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -59472,7 +59472,8 @@ MeshCreationRoutinesForThreeDimensions():Exports == Implementation where
     makePt:(SF,SF,SF,SF) -> POINT
     makePt(x,y,z,c) == point(l : List SF := [x,y,z,c])
     ptFunc(f,g,h,c) ==
-      x := f(#1,#2); y := g(#1,#2); z := h(#1,#2)
+     (z1:SF,z2:SF):POINT +->
+      x := f(z1,z2); y := g(z1,z2); z := h(z1,z2)
       makePt(x,y,z,c(x,y,z))
 
     -- parameterized equations of two variables
@@ -59536,7 +59537,8 @@ MeshCreationRoutinesForThreeDimensions():Exports == Implementation where
     -- explicit equations of two variables
     meshFun2Var(zFun,colorFun,xSeg,ySeg,opts) ==
       -- here, we construct the data for a function of two variables
-      meshPar2Var(#1,#2,zFun,colorFun,xSeg,ySeg,opts)
+      meshPar2Var((z1:SF,z2:SF):SF +-> z1,
+                  (x1:SF,x2:SF):SF +-> x2,zFun,colorFun,xSeg,ySeg,opts)
 
 @
 <<MESH.dotabb>>=
diff --git a/changelog b/changelog
index 450f500..631bee7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090608 tpd src/axiom-website/patches.html 20090608.02.tpd.patch
+20090608 tpd books/bookvol10.4 MESH +-> conversion
 20090608 tpd src/axiom-website/patches.html 20090608.01.tpd.patch
 20090608 tpd books/bookvol10.4 MATLIN +-> conversion
 20090607 tpd src/axiom-website/patches.html 20090607.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 16ea200..8377d2d 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1497,5 +1497,7 @@ bookvol10.4 MCDEN +-> conversion<br/>
 tpieazas001.input add rm of output file<br/>
 <a href="patches/20090608.01.tpd.patch">20090608.01.tpd.patch</a>
 bookvol10.4 MATLIN +-> conversion<br/>
+<a href="patches/20090608.02.tpd.patch">20090608.02.tpd.patch</a>
+bookvol10.4 MESH +-> conversion<br/>
  </body>
 </html>
